# Collaboration Guidelines
As a collaborator you are representing the Awesome PHP project to the community. Please adhere to the following guidelines to give everyone the best experience possible: 

## Etiquette
Please adhere to the [CODE-OF-CONDUCT](https://github.com/ziadoz/awesome-php/blob/master/CODE-OF-CONDUCT.md) when reviewing suggestions and participating in discussions on the project's Github account.

Always be polite and thank people, even if you don’t accept their suggestions.

You are welcome to suggest projects that you are personally involved with, or those of friends, family or colleagues, but you are not allowed to review or merge them yourself, nor should you request that others do so for you. They must be reviewed by a neutral collaborator in their own time.

If you provide feedback on a suggested project please be friendly and constructive.

## Reviewing
Please work through the following checklist when reviewing a project: 

- Tag pull requests with the most relevant label(s).
- Validate URLs work correctly and don't point to anything malicious.
- Ensure suggestions adhere to [CONTRIBUTING](https://github.com/ziadoz/awesome-php/blob/master/CONTRIBUTING.md).

## Enhancements
If you have an idea on how to improve the project, please open a ticket for discussion using the `Enhancement` label. Please don’t make any broad or sweeping changes without consulting other collaborators first and reaching a consensus.

## Join
If you want to help out please send an email to my Github username [at] gmail [dot] com with the subject “Awesome PHP Collaborator and a link to your Github account and I’ll get back to you as soon as I can (I'm notoriously slow, sorry).

Thank you for taking the time to help out with Awesome PHP, your help is appreciated!