# Contribution Guidelines
Unfortunately, not every library, tool or framework can be considered for inclusion. The aim of Awesome PHP is to be a concise list of noteworthy and interesting software written in modern PHP. Therefore, suggested software should: 

a) Be widely recommended regardless of personal opinion  
b) Well known or discussed within the PHP community  
c) Be unique in its approach or function  
d) Fill a niche gap in the market  

Self-promotion is frowned upon, so please consider seriously whether your project meets the criteria before opening a pull request, otherwise it may be closed without being reviewed.

Also, please ensure your pull request adheres to the following guidelines:

* Software that is PHP 5.5+, Composer-installable, PSR compliant, united tested and well documented in English is preferred.
* Please search previous suggestions before making a new one, as yours may be a duplicate.
* Enter a meaningful pull request description.
* Please make an individual commit for each suggestion in a pull request.
* Put a link to each library in your pull request ticket so it's easier to review.
* Use the following format for libraries: \[LIBRARY\]\(LINK\) - DESCRIPTION.
* Prefix duplicate library names with their vendor or namespace followed by a space: Foo\Bar would be Foo Bar.
* New categories, or improvements to the existing categorisation, are always welcome.
* Please keep descriptions short, simple and unbiased. No buzzwords or marketing jargon. 
* End all descriptions with a full stop/period.
* Check your spelling and grammar.
* Make sure your text editor is set to remove trailing whitespace.

Thank you for your suggestions!
